## wapiti 3.2.2+dfsg

=== Makefile ===
install: clean
	pip3 install .

test:
	docker build -f Dockerfile.test --tag=wapiti_test .
	docker run --rm wapiti_test:latest

integration-test:
	./tests/integration/run.sh

integration-clean:
	rm -rf ./tests/integration/.test/* .dump_diff_file.txt 

wapiti-endpoint:
	docker build -f Dockerfile.endpoint -t wapiti-endpoint .
	docker run --rm -dit --name wapiti-running-endpoint -p 80:80 wapiti-endpoint

clean:
	rm -rf dist/ build/ wapiti3.egg-info/

release: clean
	python -m build --sdist --wheel

## wapiti 1.1.6

=== debian/changelog ===
wapiti (1.1.6-4) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Remove unused Provides field from debian/control.

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #664377).
  * Update to Standards-Version to 3.9.3 and debhelper to 9.

  [ Arthur de Jong ]
  * Switch to dh_python2 (Closes: #617144).
  * Switch to dh command sequencer and install file with dh_install instead
    of a custom setup.py.
  * Update Vcs-Browser field.
  * Fix spelling error and small wording change in manual page (thanks
    lintian).
  * Switch to machine-readable debian/copyright format.

 -- Arthur de Jong <adejong@debian.org>  Fri, 06 Apr 2012 16:33:38 +0200

wapiti (1.1.6-3) unstable; urgency=low

  * Closes: #477034
  	-> restructured debian/rules
  * changing some rules in debian/rules
  * watch-file added
  * patches now handled by dpatch
  * new Uploader: Python Applications Packaging Team

 -- Thomas Bläsing <thomasbl@pool.math.tu-berlin.de>  Sat, 26 Apr 2008 12:04:20 +0000

wapiti (1.1.6-2) unstable; urgency=low

  * changed description ( Closes: #434804 )
  * modified man-page.
  * debianized warning output, if python-utidylib and python-ctypes are not installed.

 -- Thomas Bläsing <thomasbl@pool.math.tu-berlin.de>  Mon, 30 Jul 2007 11:53:19 +0200

wapiti (1.1.6-1) unstable; urgency=low

  * Initial release (Closes: #381418)

 -- Thomas Bläsing <thomasbl@pool.math.tu-berlin.de>  Thu, 28 Jun 2007 14:08:17 +0200

=== debian/control ===
Source: wapiti
Section: python
X-Python-Version: >= 2.4
Priority: optional
Maintainer: Thomas Bläsing <thomasbl@pool.math.tu-berlin.de>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: python (>= 2.6.6-3~), debhelper (>= 9)
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/python-apps/packages/wapiti
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/wapiti/trunk/

Package: wapiti
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-utidylib (>= 0.2), python-ctypes (>= 1.0.1)
Homepage: http://wapiti.sourceforge.net/
Description: Web application vulnerability scanner
 Wapiti allows you to audit the security of your web applications.
 It performs "black-box" scans, i.e. it does not study the source code of the
 application but will scans the web pages of the deployed web applications,
 looking for scripts and forms where it can inject data.
 Once it gets this list, Wapiti acts like a fuzzer, injecting payloads to see
 if a script is vulnerable.
 Wapiti can detect the following vulnerabilities:
    - File Handling Errors (Local and remote include/require, fopen, ...)
    - Database Injection (PHP/JSP/ASP SQL Injections and XPath Injections)
    - XSS (Cross Site Scripting) Injection
    - LDAP Injection
    - Command Execution detection (eval(), system(), passtru()...)
    - CRLF Injection (HTTP Response Splitting, session fixation...)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_install:
	dh_install --exclude='BeautifulSoup.py'
	chmod a+rx $(CURDIR)/debian/wapiti/usr/share/wapiti/wapiti.py

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog_Wapiti

=== debian/watch ===
version=2
http://sf.net/wapiti/wapiti-(.+)\.tar\.gz

## wapiti 2.2.1+dfsg

=== debian/changelog ===
wapiti (2.2.1+dfsg-1) unstable; urgency=low

  * QA upload.

  [ Arthur de Jong ]
  * New upstream release (Closes: #550072).
  * Orphaning package (See: #700556).
  * Drop no longer relevant recommends.
  * Install wapiti-getcookie and wapiti-lswww commands.
  * Update patches (drop most because no longer relevant).
  * Install upstream manual page.
  * Provide a get-orig-source target that drops the unused and non-free
    json.js from the upstream tarball.
  * Don't install bundled BeautifulSoup and httplib2 and instead use the
    system ones.
  * Disable the built-in Nikto plugin because of licensing issues of the
    used database file.
  * Install a README.Debian that explains the differences from upstream.
  * Update debian/copyright file.
  * Update debian/watch file.
  * Update to Standards-Version to 3.9.4.
  * Update package description.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Arthur de Jong <adejong@debian.org>  Fri, 28 Jun 2013 15:14:56 +0200

=== debian/control ===
Source: wapiti
Section: python
X-Python-Version: >= 2.4
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: python (>= 2.6.6-3~), debhelper (>= 9)
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/wapiti/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/wapiti/trunk/

Package: wapiti
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-beautifulsoup, python-httplib2, libjs-jquery
Homepage: http://wapiti.sourceforge.net/
Description: web application vulnerability scanner
 Wapiti allows you to audit the security of your web applications.
 It performs "black-box" scans, i.e. it does not study the source code of the
 application but will scan the web pages of the deployed web applications,
 looking for scripts and forms where it can inject data.
 Once it gets this list, Wapiti acts like a fuzzer, injecting payloads to see
 if a script is vulnerable.
 .
 Wapiti can detect the following vulnerabilities:
  - file handling errors (local and remote include/require, fopen,
    readfile...)
  - database injection (PHP/JSP/ASP SQL Injections and XPath Injections)
  - XSS (Cross Site Scripting) injection
  - LDAP injection
  - command execution detection (eval(), system(), passtru()...)
  - CRLF injection (HTTP response splitting, session fixation...)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_install:
	dh_install --exclude=generateSources.sh --exclude=generateTranslations.sh \
	           --exclude=BeautifulSoup.py --exclude=httplib2 --exclude includes/js
	# install the two used JavaScript files (excluded above)
	install -d $(CURDIR)/debian/wapiti/usr/share/wapiti/report_template/includes/js
	install -D -p -m 0644 \
	  -t $(CURDIR)/debian/wapiti/usr/share/wapiti/report_template/includes/js \
	  src/report_template/includes/js/report.js
	find $(CURDIR)/debian/wapiti -type d -empty -delete

override_dh_link:
	dh_link
	chmod a+rx $(CURDIR)/debian/wapiti/usr/bin/*

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog_Wapiti

DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
                               | sed -rne 's,^Version: ([^+-]+).*,\1,p')
get-orig-source:
	# download and unpack upstream tarball
	uscan --noconf --force-download --rename --download-current-version --destdir=. $(DEB_DEBIAN_DIR)/..
	rm -rf wapiti-$(DEB_UPSTREAM_VERSION)
	tar -xf wapiti_$(DEB_UPSTREAM_VERSION).orig.tar.bz2
	rm wapiti_$(DEB_UPSTREAM_VERSION).orig.tar.bz2
	# remove non-free json.js
	rm wapiti-$(DEB_UPSTREAM_VERSION)/src/report_template/includes/js/json.js
	# create a new tarball
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
	  -f wapiti_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz \
	  wapiti-$(DEB_UPSTREAM_VERSION)
	rm -rf wapiti-$(DEB_UPSTREAM_VERSION)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
  http://sf.net/wapiti/wapiti-([\d+\.]+|\d+)\.tar\.(?:gz|bz2)

## wapiti 2.3.0%2Bdfsg

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$// \
  http://sf.net/wapiti/wapiti-([\d+\.]+|\d+)\.tar\.(?:gz|bz2)

## wapiti 2.3.0+dfsg

=== debian/changelog ===
wapiti (2.3.0+dfsg-4) unstable; urgency=medium

  * Bump std-version to 3.9.8, no changes required.
  * Change section to web (Closes: #820391)
    - thanks Ben Finney!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Apr 2016 12:16:00 +0200

wapiti (2.3.0+dfsg-3) unstable; urgency=medium

  * Bump std-version to 3.9.7, no changes required.
  * Bump watch file version to 4.
  * Fix insecure VCS fields lintian.
  * Fix copyright license issue. (Closes: #816302).
    - thanks Nicolás Alvarez for the useful bug report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Feb 2016 18:19:01 +0100

wapiti (2.3.0+dfsg-2) unstable; urgency=medium

  * Move maintainership to myself.
  * Update my uid.
  * Bump Standard Version to 3.9.6, no changes required.
  * Correctly use misc:Depends, avoid to manually include
    runtime dependencies (beautifulsoup).
  * Remove python minimal version required.
  * Remove python-{lxml,httplib2} upstream doesn't use
    them anymore.
  * Add dh-python to b-d.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jul 2015 11:03:38 +0200

wapiti (2.3.0+dfsg-1) unstable; urgency=medium

  * Set myself as maintainer (Closes: #700556).
  * New upstream release.
  * Bump Standard Version to 3.9.5, no changes required.
  * Move homepage field in debian/control to the right place.
  * Update debian/copyright.
  * Drop patches not needed anymore
    -fix-man-page.patch
    -use-global-beautifulsoup.patch
    -use-global-httplib2.patch
    -use-local-scans-dir.patch
    -remove-unused-js-scripts.patch
  * Add install-changelog-once.patch, avoiding double
    changelog installation.
  * Patch refresh.
  * Change rules file, dropping workarounds not needed anymore.
  * Set Python Applications Packaging Team (PAPT) as maintainer.
  * Move VCS to git under collab-maint.
  * Generate translations and minified css at build time
    (add yui-compressor and gettext as build dependencies).

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 02 Sep 2014 15:49:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,22 @@
 Source: wapiti
-Section: python
-X-Python-Version: >= 2.4
+Section: web
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: python (>= 2.6.6-3~), debhelper (>= 9)
-Standards-Version: 3.9.4
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/wapiti/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/wapiti/trunk/
+Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
+Homepage: http://wapiti.sourceforge.net/
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               gettext,
+               libjs-jquery,
+               python,
+               python-setuptools,
+               yui-compressor
+Standards-Version: 3.9.8
+VCS-Git: https://anonscm.debian.org/git/collab-maint/wapiti.git
+VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/wapiti.git
 
 Package: wapiti
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-beautifulsoup, python-httplib2, libjs-jquery
-Homepage: http://wapiti.sourceforge.net/
+Depends: libjs-jquery, ${misc:Depends}, ${python:Depends}
 Description: web application vulnerability scanner
  Wapiti allows you to audit the security of your web applications.
  It performs "black-box" scans, i.e. it does not study the source code of the

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_clean:
	dh_clean
	sed -i /setup.cfg/d wapiti.egg-info/SOURCES.txt


override_dh_installchangelogs:
	dh_installchangelogs doc/ChangeLog_Wapiti

override_dh_auto_build:
	cd wapitiCore/language_sources/ && ./generateTranslations.sh
	yui-compressor wapitiCore/report_template/css/kube.css -o wapitiCore/report_template/css/kube.min.css
	dh_auto_build

override_dh_install:
	dh_install
	find $(CURDIR)/debian/wapiti -type d -empty -delete
	find $(CURDIR)/debian/wapiti -type f -name "*.js" -exec chmod -x {} \;
	rm $(CURDIR)/debian/wapiti/usr/lib/python2.7/dist-packages/wapitiCore/language_sources/generateTranslations.sh
	rm $(CURDIR)/debian/wapiti/usr/lib/python2.7/dist-packages/wapitiCore/language_sources/generateSources.sh
	rm $(CURDIR)/debian/wapiti/usr/share/doc/wapiti/INSTALL

## wapiti 3.0.1+dfsg

=== debian/changelog ===
wapiti (3.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security
    Tools <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Sophie Brun ]
  * Exclude files from upstream tarball (*.min.js)
  * Update debian/watch
  * Import new upstream release, switch to bs4 (Closes: #891104)
  * Switch to Python 3
  * d/rules: update for new release, use pybuild
  * Refresh patches
  * Install upstream docs with setup.py
  * Add a patch to fix typos in manpages
  * d/rules: Change translations generations
  * Update debian/copyright
  * d/control: Update description package
  * Add debian/missing-sources/*css
  * Bump Standards-Version to 4.2.1 (no change required)
  * Add a patch to remove mention of js files and remove useless link on jsquery

 -- Sophie Brun <sophie@freexian.com>  Fri, 05 Oct 2018 09:30:06 +0200

wapiti (2.3.0+dfsg-6) unstable; urgency=medium

  * Add gbp.conf file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Aug 2016 17:10:47 +0200

wapiti (2.3.0+dfsg-5) unstable; urgency=medium

  * Move the packaging to pkg-security.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 May 2016 09:55:41 +0200

=== debian/control ===
Source: wapiti
Section: web
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
Homepage: http://wapiti.sourceforge.net/
Build-Depends: debhelper (>= 9),
               dh-python,
               gettext,
               libjs-jquery,
               python3,
               python3-setuptools,
	       python3-tld,
	       python3-yaswfp,
               yui-compressor
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/pkg-security-team/wapiti.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/wapiti

Package: wapiti
Architecture: all
Depends: libjs-jquery, ${misc:Depends}, ${python3:Depends}
Description: web application vulnerability scanner
 Wapiti allows you to audit the security of your web applications.
 It performs "black-box" scans, i.e. it does not study the source code of the
 application but will scan the web pages of the deployed web applications,
 looking for scripts and forms where it can inject data.
 Once it gets this list, Wapiti acts like a fuzzer, injecting payloads to see
 if a script is vulnerable.
 .
 Wapiti can detect the following vulnerabilities:
  - Database Injection (PHP/ASP/JSP SQL Injections and XPath Injections)
  - Cross Site Scripting (XSS) reflected and permanent
  - File disclosure detection (local and remote include, require, fopen,
    readfile...)
  - Command Execution detection (eval(), system(), passtru()...)
  - XXE (Xml eXternal Entity) injection
  - CRLF Injection
  - Search for potentially dangerous files on the server (thank to the Nikto db)
  - Bypass of weak htaccess configurations
  - Search for copies (backup) of scripts on the server
  - Shellshock
  - DirBuster like
  - Server Side Request Forgery (through use of an external Wapiti website)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	sed -i /setup.cfg/d wapiti3.egg-info/SOURCES.txt

override_dh_installchangelogs:
	dh_installchangelogs doc/ChangeLog_Wapiti

override_dh_auto_build:
	# rebuild the *.mo
	rm -f wapitiCore/config/language/*/LC_MESSAGES/wapiti.mo
	cd wapitiCore/language_sources; \
	for f in *.po; do \
	    lang=$$(echo $$f | cut -d '.' -f1); \
	    if [ $$lang != sav_en ]; then \
	        msgfmt $$f -o "../config/language/$$lang/LC_MESSAGES/wapiti.mo"; \
	    fi; \
	done

	dh_auto_build

override_dh_install:
	dh_install
	find $(CURDIR)/debian/wapiti -type d -empty -delete
	find $(CURDIR)/debian/wapiti -type f -name "*.js" -exec chmod -x {} \;

## wapiti 3.0.2+dfsg

=== debian/changelog ===
wapiti (3.0.2+dfsg-1) unstable; urgency=medium

  * Update email address in patches
  * New upstream version 3.0.2+dfsg
  * Bump compat level to 12
  * Bump std-version to 4.4.0
  * Bump copyright years
  * Refresh patches
  * Add some new dependencies
  * Run testsuite but ignore test results, some tests require php servers and
    similar

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Sep 2019 15:25:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,23 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
 Homepage: http://wapiti.sourceforge.net/
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                gettext,
                libjs-jquery,
                python3,
+               python3-bs4,
+               python3-lxml,
+               python3-mako,
+               python3-socks,
+               python3-pytest-runner,
+               python3-pytest,
+               python3-responses,
                python3-setuptools,
-	       python3-tld,
-	       python3-yaswfp,
+               python3-tld,
+               python3-yaswfp,
                yui-compressor
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wapiti.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/wapiti

## wapiti 3.0.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                libjs-jquery,
                python3,
                python3-bs4,
-               python3-lxml,
                python3-mako,
                python3-socks,
                python3-pytest-runner,
@@ -20,7 +19,7 @@
                python3-tld,
                python3-yaswfp,
                yui-compressor
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wapiti.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/wapiti

## wapiti 3.0.3+dfsg

=== debian/changelog ===
wapiti (3.0.3+dfsg-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add salsa-ci.yml

  [ Gianfranco Costamagna ]
  * Bump std-version to 4.5.0, no changes required
  * New upstream version 3.0.3+dfsg
  * Patch refresh
  * Bump copyright years
  * Drop lxml support, html is used now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Feb 2020 15:41:05 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,6 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-
-override_dh_clean:
-	dh_clean
-	sed -i /setup.cfg/d wapiti3.egg-info/SOURCES.txt
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/ChangeLog_Wapiti
@@ -27,3 +23,7 @@
 	dh_install
 	find $(CURDIR)/debian/wapiti -type d -empty -delete
 	find $(CURDIR)/debian/wapiti -type f -name "*.js" -exec chmod -x {} \;
+
+
+override_dh_auto_test:
+	dh_auto_test || true

## wapiti 3.0.4+dfsg

=== debian/changelog ===
wapiti (3.0.4+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Update lintian override info format in d/wapiti.lintian-overrides on line 1.

  [ Sophie Brun ]
  * Add a fix for Python 3.11 (Closes: #1032198)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 03 Mar 2023 15:29:34 +0100

wapiti (3.0.4+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.4+dfsg
  * Add R^3: no
  * Update copyright years
  * Update fix-typos patch for new release
  * Adapt po file generation for new version
  * Refresh patches for new release
  * Add patch to lower required mako version
  * Add six, markupsafe, importlib-metadata dependencies, required to build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Feb 2021 11:51:42 +0100

wapiti (3.0.3+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Peter Wienemann ]
  * d/patches: Ignore js dir in html report generation (closes: #952720)

  [ Raphaël Hertzog ]
  * Set upstream metadata fields: Repository.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 12 Aug 2020 23:20:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,17 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
-Homepage: http://wapiti.sourceforge.net/
-Build-Depends: debhelper-compat (= 12),
+Homepage: https://wapiti.sourceforge.net/
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                gettext,
                libjs-jquery,
                python3,
                python3-bs4,
+               python3-importlib-metadata,
+               python3-markupsafe,
                python3-mako,
+               python3-six,
                python3-socks,
                python3-pytest-runner,
                python3-pytest,
@@ -19,7 +22,8 @@
                python3-tld,
                python3-yaswfp,
                yui-compressor
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wapiti.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/wapiti

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	for f in *.po; do \
 	    lang=$$(echo $$f | cut -d '.' -f1); \
 	    if [ $$lang != sav_en ]; then \
-	        msgfmt $$f -o "../config/language/$$lang/LC_MESSAGES/wapiti.mo"; \
+	        msgfmt $$f -o "../data/language/$$lang/LC_MESSAGES/wapiti.mo"; \
 	    fi; \
 	done

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
  https://sf.net/wapiti/wapiti3?-([\d+\.]+|\d+)\.tar\.(?:gz|bz2)

## wapiti 3.2.0+dfsg

=== debian/changelog ===
wapiti (3.2.0+dfsg-1) unstable; urgency=medium

  * Team Upload
  * d/watch: releases are now published on GitHub
  * New upstream version 3.2.0+dfsg
  * Refresh patches
  * Use dh-sequence-python3
  * Add build-dependency on pybuild-plugin-pyproject
  * Remove extraneous dependency on python3-six (Closes: #1061286)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 28 Sep 2024 13:56:28 +0200

## wapiti 3.2.2+dfsg

=== debian/changelog ===
wapiti (3.2.2+dfsg-2) unstable; urgency=medium

  * Team Upload
  * Drop python3-importlib-metadata from build-dep

 -- Alexandre Detiste <tchet@debian.org>  Sun, 11 May 2025 13:42:02 +0200

wapiti (3.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.2+dfsg
  * Refresh patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Dec 2024 17:38:16 +0100

wapiti (3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.1+dfsg
  * Refresh fix-typos patch
  * Drop remove-six patch: upstream
  * Refresh relax-dependencies.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 16 Nov 2024 11:22:01 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
 Homepage: https://wapiti.sourceforge.net/
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                gettext,
                libjs-jquery,
+               pybuild-plugin-pyproject,
                python3,
                python3-bs4,
-               python3-importlib-metadata,
                python3-markupsafe,
                python3-mako,
-               python3-six,
                python3-socks,
                python3-pytest-runner,
                python3-pytest,

## wapiti 3.2.4+dfsg

=== debian/changelog ===
wapiti (3.2.4+dfsg-2) unstable; urgency=medium

  * Merge changes from 3.2.2+dfsg-2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 May 2025 12:20:17 +0200

wapiti (3.2.4+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.4+dfsg
  * Refresh patch
  * Add new B-D
  * Update std-version to 4.7.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 06 Apr 2025 20:06:49 +0200

## wapiti 3.2.5%2Bdfsg

=== debian/changelog ===
wapiti (3.2.5+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.5+dfsg
  * Update copyright years
  * Refresh patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Sep 2025 08:59:29 +0200

## wapiti 3.2.5+dfsg

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,31 @@
                libjs-jquery,
                pybuild-plugin-pyproject,
                python3,
+               python3-aiocache,
+               python3-aiohttp,
+               python3-aiosqlite,
                python3-bs4,
+               python3-dnspython,
+               python3-h11,
+               python3-httpcore,
+               python3-httpx,
+               python3-humanize,
                python3-markupsafe,
                python3-mako,
+               python3-msgpack,
                python3-socks,
+               python3-pyasn1,
                python3-pytest-runner,
                python3-pytest,
                python3-responses,
                python3-setuptools,
+               python3-sqlalchemy,
                python3-tld,
+               python3-typing-extensions,
+               python3-urwid,
                python3-yaswfp,
                yui-compressor
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wapiti.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/wapiti

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/ChangeLog_Wapiti

## wapiti 3.2.6+dfsg

=== debian/changelog ===
wapiti (3.2.6+dfsg-2) unstable; urgency=medium

  * Bump std-version to 4.7.2
  * Add python3-httpx-ntlm dependency (Closes: #1108450)
  * Add python3-browser-cookie3 (Closes: #1110241)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 12 Oct 2025 15:15:18 +0200

wapiti (3.2.6+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.6+dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 Oct 2025 22:45:56 +0200

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,13 @@
                python3-aiocache,
                python3-aiohttp,
                python3-aiosqlite,
+               python3-browser-cookie3,
                python3-bs4,
                python3-dnspython,
                python3-h11,
                python3-httpcore,
                python3-httpx,
+               python3-httpx-ntlm,
                python3-humanize,
                python3-markupsafe,
                python3-mako,
@@ -34,7 +36,7 @@
                python3-urwid,
                python3-yaswfp,
                yui-compressor
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wapiti.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/wapiti

## wapiti 3.2.7+dfsg

=== debian/changelog ===
wapiti (3.2.7+dfsg-2) unstable; urgency=medium

  * Relax sqlalchemy dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Oct 2025 23:05:27 +0200

wapiti (3.2.7+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.7+dfsg
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 16 Oct 2025 14:00:02 +0200

=== debian/control ===
--- 
+++ 
@@ -34,6 +34,8 @@
                python3-tld,
                python3-typing-extensions,
                python3-urwid,
+#               python3-wapiti-arsenic,
+#               python3-wapiti-swagger,
                python3-yaswfp,
                yui-compressor
 Standards-Version: 4.7.2

## wapiti 3.2.8+dfsg

=== Makefile ===
--- 
+++ 
@@ -18,5 +18,8 @@
 clean:
 	rm -rf dist/ build/ wapiti3.egg-info/
 
+style:
+	pylint --rcfile=.pylintrc wapitiCore
+
 release: clean
 	python -m build --sdist --wheel

=== debian/changelog ===
wapiti (3.2.8+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.8+dfsg
  * Drop patch to relax dependencies

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Oct 2025 21:22:00 +0100

wapiti (3.2.7+dfsg-3) unstable; urgency=medium

  * Add python3-wapiti-arsenic and python3-wapiti-swagger dependencies

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Oct 2025 23:14:24 +0200

=== debian/control ===
--- 
+++ 
@@ -34,8 +34,8 @@
                python3-tld,
                python3-typing-extensions,
                python3-urwid,
-#               python3-wapiti-arsenic,
-#               python3-wapiti-swagger,
+               python3-wapiti-arsenic,
+               python3-wapiti-swagger,
                python3-yaswfp,
                yui-compressor
 Standards-Version: 4.7.2

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
  https://github.com/wapiti-scanner/wapiti/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## wapiti 3.2.9+dfsg

=== debian/changelog ===
wapiti (3.2.9+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.9+dfsg
  * Drop empty line in rules file
  * d/control:
    - Add ronn to build docs
    - Add new python3-playwright dependency
    - Remove dependencies now not used anymore in new upstream version:
      - python3-aiohttp,
      - python3-h11,
      - python3-humanize,
      - python3-markupsafe,
      - python3-msgpack,
      - python3-pyasn1,
      - python3-typing-extensions,
      - python3-urwid,
      - python3-wapiti-arsenic,
      - python3-yaswfp
  * Drop R^3: no, default now
  * Refresh fix-typos.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Nov 2025 09:17:52 +0100

=== debian/control ===
--- 
+++ 
@@ -10,36 +10,26 @@
                libjs-jquery,
                pybuild-plugin-pyproject,
                python3,
-               python3-aiocache,
-               python3-aiohttp,
                python3-aiosqlite,
                python3-browser-cookie3,
                python3-bs4,
                python3-dnspython,
-               python3-h11,
                python3-httpcore,
                python3-httpx,
                python3-httpx-ntlm,
-               python3-humanize,
-               python3-markupsafe,
                python3-mako,
-               python3-msgpack,
                python3-socks,
-               python3-pyasn1,
+               python3-playwright,
                python3-pytest-runner,
                python3-pytest,
                python3-responses,
                python3-setuptools,
                python3-sqlalchemy,
                python3-tld,
-               python3-typing-extensions,
-               python3-urwid,
-               python3-wapiti-arsenic,
                python3-wapiti-swagger,
-               python3-yaswfp,
+               ronn,
                yui-compressor
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wapiti.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/wapiti

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,6 @@
 	        msgfmt $$f -o "../data/language/$$lang/LC_MESSAGES/wapiti.mo"; \
 	    fi; \
 	done
-
 	dh_auto_build
 
 override_dh_install:

## wapiti 3.2.10+dfsg

=== Makefile ===
--- 
+++ 
@@ -23,3 +23,6 @@
 
 release: clean
 	python -m build --sdist --wheel
+
+doc:
+	cd doc && ronn wapiti.ronn

=== debian/changelog ===
wapiti (3.2.10+dfsg-2) unstable; urgency=medium

  * Revert wapiti-excludes patch, fixing FTBFS

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Jan 2026 15:55:32 +0100

wapiti (3.2.10+dfsg-1) unstable; urgency=medium

  [ Jérémy Lal ]
  * Team upload
  * New upstream version 3.2.10+dfsg
  * Drop yui-compressor
  * Upstream has now simple js/css, unminified, for reports
    + drop patch that removed js dir copy
    + remove unneeded d/copyright licenses
    + drop jquery dependency
    + drop dh_install fixes
  * Dfsg-exclude minified test files
  * Update to watch 5
  * All dependencies are checked and updated
  * Run tests, but skip:
    + tests needing internet connection
    + tests known to fail by upstream
  * Refresh d/source/metadata
  * Use advised salsa-ci.yml
  * Repackaging is self-documented in d/copyright,
    drop README.source.
  * Generate and install man pages:
    + B-D ronn
    + update patch to fix typos in ronn files
  * Patch pyproject.toml to install just the packages
  * Fix old-fsf-address-in-copyright-file
  * Do not install wapiti-install-headless-browser

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Jan 2026 20:42:33 +0100

=== debian/rules ===
#!/usr/bin/make -f

# do not run tests that need internet, or that are know to fail
# test_xss_utils: https://github.com/wapiti-scanner/wapiti/issues/698
export PYBUILD_TEST_ARGS=--ignore=tests/attack --ignore=tests/endpoint/test_endpoint.py --ignore=tests/parsers/test_xss_utils.py --ignore=tests/web

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	rm ./debian/wapiti/usr/bin/wapiti-install-headless-browser

override_dh_installchangelogs:
	dh_installchangelogs doc/ChangeLog_Wapiti

execute_before_dh_auto_build:
	# rebuild the *.mo
	rm -f wapitiCore/config/language/*/LC_MESSAGES/wapiti.mo
	cd wapitiCore/language_sources; \
	for f in *.po; do \
	    lang=$$(echo $$f | cut -d '.' -f1); \
	    if [ $$lang != sav_en ]; then \
	        msgfmt $$f -o "../data/language/$$lang/LC_MESSAGES/wapiti.mo"; \
	    fi; \
	done

execute_before_dh_installman:
	ronn --roff doc/wapiti.ronn
	ronn --roff doc/wapiti-getcookie.ronn

=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: s/\+dfsg\d*$//
Owner: wapiti-scanner
Project: wapiti
Repacksuffix: +dfsg
